gnutls_ia_get_client_avp_ptr(3)

NAME
gnutls_ia_get_client_avp_ptr - Returns the pointer which is sent to TLS/IA callback

SYNOPSIS
#include <gnutls/extra.h>

void * gnutls_ia_get_client_avp_ptr(gnutls_ia_client_credentials_t cred);

ARGUMENTS

gnutls_ia_client_credentials_t cred
    is a gnutls_ia_client_credentials_t structure.

DESCRIPTION
Returns the pointer that will be provided to the TLS/IA callback function as the first argument.

RETURNS
The client callback data pointer.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.